# class AudioStreamTrack

#### package js.html

#### extends MediaStreamTrack › EventTarget

Available on HTML5

### Inherited Variables

#### Defined by MediaStreamTrack

###

`enabled:Bool`

A Boolean value with a value of `true` if the track is enabled, that is allowed to render the media source stream; or `false` if it is disabled, that is not rendering the media source stream but silence and blackness. If the track has been disconnected, this value can be changed but has no more effect.

###

`read onlyid:String`

Returns a `DOMString` containing a unique identifier (GUID) for the track; it is generated by the browser.

###

`read onlykind:String`

Returns a `DOMString` set to `"audio"` if the track is an audio track and to `"video"`, if it is a video track. It doesn't change if the track is deassociated from its source.

###

`read onlylabel:String`

Returns a `DOMString` containing a user agent-assigned label that identifies the track source, as in `"internal microphone"`. The string may be left empty and is empty as long as no source has been connected. When the track is deassociated from its source, the label is not changed.

### Inherited Methods

#### Defined by MediaStreamTrack

###

`applyConstraints (?constraints:MediaTrackConstraints):Promise<Void>`

Throws:

`null` | DOMError

###

`stop ():Void`

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError